#
# spec file for package perl-libwww-perl (Version 5.834)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-libwww-perl
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        The World-Wide Web library for Perl
Version:        5.834
Release:        1
AutoReqProv:    on
License:        Artistic License ..
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/LWP/
Source:         %{cpan_name}-%{version}.tar.bz2
Patch:		%{name}-%{version}-Content-Disposition.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Net::FTP) >= 2.58
BuildRequires:  perl(Digest::MD5)
# other not perl || perl-base
BuildRequires:  perl(URI) >= 1.10
BuildRequires:  perl(MIME::Base64) >= 2.1
BuildRequires:  perl(HTML::Tagset)
BuildRequires:  perl(HTML::Parser) >= 3.33
BuildRequires:  perl(Compress::Zlib) >= 1.10
Requires:       perl = %{perl_version}
Requires:       perl(Net::FTP) >= 2.58
Requires:       perl(Digest::MD5)
# other not perl || perl-base
Requires:       perl(URI) >= 1.10
Requires:       perl(HTML::Tagset)
Requires:       perl(HTML::Parser) >= 3.33
Requires:       perl(Compress::Zlib) >= 1.10
#Requires:  perl(Compress::Bzip2)
Recommends:     perl(Crypt::SSLeay)
Provides:       libwww-perl
Provides:       perl_lw3
Obsoletes:      perl_lw3

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web.  The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

  Authors:
		Gisle Aas <gisle@aas.no>
		Martijn Koster
%prep
%setup -q -n %{cpan_name}-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}

%check
#disable test that require network connection
mv t/live/jigsaw-chunk.t t/live/jigsaw-chunk.tt
mv t/live/jigsaw-md5.t t/live/jigsaw-md5.tt
mv t/live/jigsaw-md5-get.t t/live/jigsaw-md5-get.tt
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files 
%defattr(-,root,root)
%doc Changes README README.SSL

%changelog
